/*
 * $Id: AddLdapAccessorAclForm.java,v 1.2 2004/11/10 15:02:47 koppy Exp $
 * 
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: AddLdapAccessorAclForm.java,v $
 * Revision 1.2  2004/11/10 15:02:47  koppy
 * Projektweite Überarbeitung von Error-Logs, Stacktraces,..
 *
 * Revision 1.1  2004/10/22 13:54:02  vchris
 * First Strike
 *
 *  
 */

package vkc.view.form;

import javax.servlet.http.HttpServletRequest;

import java.util.Collection;
import java.util.ArrayList;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import vkc.misc.VKCLogManager;

/**
 * DOCUMENT ME!
 * 
 * @author vchris
 */
public class AddLdapAccessorAclForm extends ActionForm {
	
	public static final String PARAM_ATYPE = "AccessorType";

	private String ldapGroupRdn = "";
	private Integer ldapServerId;
	private Collection ldapServers = new ArrayList();

	private EditCatAclForm aclForm;	

	/**
	 * @param mapping
	 * @param request
	 */
	public void reset( ActionMapping mapping, HttpServletRequest request) {
		try {
			aclForm = (EditCatAclForm)request.getSession().getAttribute( "EditCatAclForm" );
			if ( aclForm == null ) { // Session ist abgelaufen ...
				return;
			}
		} catch ( Exception ex ) {
			VKCLogManager.errorLog( this,"1","Error getting EditCatAclForm from Session Scope",ex );
			return;
		}		
	}

	public EditCatAclForm getAclForm() {
		return aclForm;
	}

	public String getLdapGroupRdn() {
		return ldapGroupRdn;
	}

	public Integer getLdapServerId() {
		return ldapServerId;
	}

	public void setLdapGroupRdn(String string) {
		ldapGroupRdn = string;
	}

	public void setLdapServerId(Integer integer) {
		ldapServerId = integer;
	}

	public Collection getLdapServers() {
		return ldapServers;
	}

	public void setLdapServers(Collection collection) {
		ldapServers = collection;
	}

}